<template>
  <div class="input-password">
    <input
      :type="inputType"
      name="password"
      v-bind="$attrs"
      @input="$emit('input', $event.target.value)"
    />
    <button
      class="show-password"
      aria-label="Показать пароль"
      @click.prevent="toggleVisible"
    >
      <i :class="iconClass" />
    </button>
  </div>
</template>

<script>
export default {
  name: 'InputPassword',
  inheritAttrs: false,
  data() {
    return {
      isVisiblePassword: false,
    }
  },
  computed: {
    inputType() {
      return this.isVisiblePassword ? 'text' : 'password'
    },
    iconClass() {
      return this.isVisiblePassword ? 'icon-eye' : 'icon-eye_closed'
    },
  },
  methods: {
    toggleVisible() {
      this.isVisiblePassword = !this.isVisiblePassword
    },
  },
}
</script>

<style>
input::-webkit-passman-key {
  display: none;
}
</style>
